Subject: bug#35596: closed (Re: bug#35596: view-lossage should leave less blank lines at bottom)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 May 2019 12:33:04 +0000

Your bug report

#35596: view-lossage should leave less blank lines at bottom

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35596: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35596
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35596: view-lossage should leave less blank lines at bottom
From: Eli Zaretskii <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 08 May 2019 15:31:57 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: 積丹尼 Dan Jacobson <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 08 May 2019 19:46:56 +0800
> 
> I think there shouldn't be any blank lines following the "\n[back]",
> unless we just started emacs and there isn't much to report.
> 
> I think this should be the default behavior and users shouldn't need to
> set some variable (that is not even mentioned on C-h k C-h l) to "some
> value over 100" to achieve it.

And I think there's nothing wrong with the default behavior as it is.
Emacs behaves like that with any window that pops up to show any
content.

Subject: view-lossage should leave less blank lines at bottom
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Mon, 06 May 2019 08:24:15 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

   C-h l runs the command view-lossage (found in global-map), which is an
   interactive compiled Lisp function in ‘help.el’.

   It is bound to C-h l, <f1> l, <help> l.

Well it doesn't seem so smart. Every time I use it the bottom half of
its window is wasted. Wouldn't it be smarter to just leave one or zero
blank lines at bottom?